# JsonEncoder class

This class converts JSON objects to strings.

Inheritance
  - Object
  - StreamTransformerBase<Object, String>
  - Converter<Object, String>
  - JsonEncoder

## Constructors

JsonEncoder([dynamic toEncodable(dynamic object) ])
  Creates a JSON encoder. [...]
  const
JsonEncoder.withIndent(String indent, [ dynamic toEncodable(dynamic object) ])
  Creates a JSON encoder that creates multi-line JSON. [...]
  const

## Properties

indent → String
  The string used for indention. [...]
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

bind(Stream<Object> stream) → Stream<String>
  Transforms the provided `stream`. [...]
  override
convert(Object object) → String
  Converts `object` to a JSON String. [...]
  override
fuse<T>(Converter<String, T> other) → Converter<Object, T>
  Fuses `this` with `other`. [...]
  override
startChunkedConversion(Sink<String> sink) → ChunkedConversionSink<Object>
  Starts a chunked conversion. [...]
  override
cast<RS, RT>() → Converter<RS, RT>
  Provides a `Converter<RS, RT>` view of this stream transformer. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited